Bug 140381 - Cannot mount CIFS to protected windows $HOME
Cannot mount CIFS to protected windows $HOME
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Layton
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-22 13:33 EST by Michael Merwitz
Modified: 2014-06-18 03:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 06:31:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Merwitz 2004-11-22 13:33:46 EST
Description of problem:

Try: mount -t cifs //$SERVER/$USERS /mnt/homedrive -o credentials=...
Where $SERVER is a W2K Domain server and $USERS is the "home"
directory for all users, i.e., actual home is ./"name"

Attempt to connect returns message:
mount error 20 = Not a directory

If I change the mount to 

mount -t cifs //$SERVER/$USER/myname ...

I get the message:
mount error 6 = No such device or address

Version-Release number of selected component (if applicable):
samba-client 3.0.8-0.pre1.3

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Glover 2005-09-08 10:52:54 EDT
This still happens under FC4 with samba-client-3.0.14a-2.
Comment 2 Robert Glover 2005-09-08 11:09:59 EDT
This problem may stem from limited access rights on the Windows share.  From a
W2K box pointing Windows Explorer to \\SERVER\HOME produces the message
"\\SERVER\HOME is not accessible..." (apparently I lack rights to view files
within the HOME directory).  If I point explorer to \\SERVER\HOME\dir1\mydir it
works and I can see/modify my files.

Under linux, mounting //SERVER/HOME as "smbfs" on mount point /timmy works.  I
can then access my files via /timmy/dir1\\mydir (sic).  The backslash between
dir1 and mydir is vital, because /timmy/dir1/mydir does not work.
Comment 3 Robert Glover 2006-03-30 12:55:17 EST
I have displayed the arguments being passed to the mount() system call in the
source code of mount.cifs. Everything looks correct. It is the mount() call that
returns "error code 20 - Not a directory".

Referring to #2: The //SERVER/HOME directory is secured such that I cannot view
files within it -- this is in a corporate setting. With smbclient I *can*
smbclient //SERVER/HOME and then cd into my directory.

I have to suspect that the mount() call is testing to see if the resulting CIFS
mount is actually a directory and getting some kind of "no access" error. Again
the cifs mount fails where smbfs and smbclient succeed.

With the removal of smbfs support, I am no longer able to mount my corporate
network "home" directory. Also, I have tried every combination of UNC I can
think of: \\\\SERVER\\HOME, //SERVER/HOME, //SERVER\\HOME, and so on. Nothing
works with cifs.
Comment 4 Robert Glover 2006-03-30 12:58:18 EST
Additionally, I believe that this is a kernel problem or a mount() system call
problem. However, I am unable to change the component or the version (which is
should be FC5). The bug owner needs to change this.
Comment 5 Matthew Miller 2006-07-10 16:11:30 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 Simo Sorce 2007-03-14 11:33:47 EDT
As this works with smbfs, then this is really a kernel bug CIFS VFS module.
Moved there.
Comment 7 Jeff Layton 2007-09-20 15:31:13 EDT
If you disable Linux extensions are you then able to mount this share?

# echo 0 > /proc/fs/cifs/LinuxExtensionsEnabled

...then try the mount
Comment 8 Jeff Layton 2008-01-15 06:31:50 EST
No update in several months. Closing bug with resolution of INSUFFICIENT_DATA.
Please reopen if you're still experiencing this problem.

Note You need to log in before you can comment on or make changes to this bug.